###########################################################
# $Id: Makefile.am,v 1.4 2005-12-11 16:12:05 tobibobi Exp $
# $Log: Makefile.am,v $
# Revision 1.4  2005-12-11 16:12:05  tobibobi
# *** empty log message ***
#
# Revision 1.3  2005/12/02 09:06:56  tobibobi
# - Refined configuration so it is more correctly checking now.
# - Updated configure scripts to newer version of autoconf.
# - created a java directory with a basic ant build xml file.
#
# Revision 1.2  2005/11/29 21:17:12  tobibobi
# - Changed protocol so the flags for broadcast was correct
# - Added comments to almost all files.
#
###########################################################

ACLOCAL_AMFLAGS= -I aclocal


if DO_JAVA
DO_JAVA_DIR=java
endif

SUBDIRS=src ${DO_JAVA_DIR}

.PHONY: doc
doc:
	cd docs;${MAKE} all

EXTRA_DIST= \
aclocal/ac_check_class.m4 \
aclocal/ac_check_classpath.m4 \
aclocal/ac_check_junit.m4 \
aclocal/ac_check_rqrd_class.m4 \
aclocal/ac_java_options.m4 \
aclocal/ac_prog_jar.m4 \
aclocal/ac_prog_java_cc.m4 \
aclocal/ac_prog_java_works.m4 \
aclocal/ac_prog_java.m4 \
aclocal/ac_prog_javac.m4 \
aclocal/ac_prog_javac_works.m4 \
aclocal/ac_prog_javah.m4 \
aclocal/ac_try_compile_java.m4 \
aclocal/ac_try_run_javac.m4 \
aclocal/ac_prog_latex.m4 \
aclocal/ac_prog_bibtex.m4 \
aclocal/ac_prog_dvipdf.m4 \
aclocal/ac_prog_pdflatex.m4 \
aclocal/vl_prog_fig2dev.m4 \
aclocal/ac_latex_class_report.m4 \
aclocal/ac_latex_class.m4 \
aclocal/_ac_latex_test.m4
